Config:
  0: {key: 'leave.leavePeriodStatus', value: 2}
  
LeaveType:
  0: {id: 1, name: 'Casual', deleted: 0}
  1: {id: 2, name: 'Medical', deleted: 0}
  2: {id: 3, name: 'Company', deleted: 1}
  3: {id: 4, name: 'Annual', deleted: 0}
  4: {id: 5, name: 'Sick', deleted: 1}
  5: {id: 6, name: 'Wesak', deleted: 0}
  6: {id: 7, name: 'Christmas', deleted: 0}
  7: {id: 8, name: 'Other', deleted: 0}
  
TerminationReason:
  0: {id: 1, name: 'Resign'}

EmployeeTerminationRecord:
  0: {id: 1, reasonId: 1, date: '2011-11-20'}
    
Employee:
  0: {empNumber: 1, firstName: 'Kayla', lastName: 'Shneider', termination_id: 1}
  1: {empNumber: 2, firstName: 'Ashley', lastName: 'Abel', middleName: 'Aldis'}
  2: {empNumber: 3, firstName: 'Tyler', lastName: 'Abraham'}
  3: {empNumber: 4, firstName: 'Landon', lastName: 'Abrahams'}
  4: {empNumber: 5, firstName: 'James', lastName: 'Abrahamson', middleName: 'K'}
  5: {empNumber: 6, firstName: 'Jane', lastName: 'Edward'}
  6: {empNumber: 7, firstName: 'Dasun', lastName: 'Samarasinghe'}
  
LeaveEntitlementType:
  0: {id: 1, name: 'Added'}
  1: {id: 2, name: 'Accrual'}
  
LeaveEntitlement:
  0: {id: 1, leave_type_id: 1, emp_number: 1, no_of_days: 3, from_date: '2012-01-01 00:00:00', to_date: '2012-08-01 00:00:00', credited_date: '2012-01-01 00:00:00', note: '', entitlement_type: 1, deleted: 0}
  1: {id: 2, leave_type_id: 6, emp_number: 2, no_of_days: 4, days_used: 1, from_date: '2013-08-05 00:00:00', to_date: '2013-09-01 00:00:00', credited_date: '2013-01-06 00:00:00', note: '', entitlement_type: 1, deleted: 0}
  2: {id: 3, leave_type_id: 2, emp_number: 1, no_of_days: 1, from_date: '2012-04-04 00:00:00', to_date: '2012-06-01 00:00:00', credited_date: '2012-01-01 00:00:00', note: '', entitlement_type: 1, deleted: 0}
  3: {id: 4, leave_type_id: 2, emp_number: 1, no_of_days: 2, from_date: '2012-05-05 00:00:00', to_date: '2012-08-01 00:00:00', credited_date: '2012-02-01 00:00:00', note: '', entitlement_type: 1, deleted: 0}
  4: {id: 5, leave_type_id: 1, emp_number: 5, no_of_days: 5, from_date: '2012-06-06 00:00:00', to_date: '2012-09-01 00:00:00', credited_date: '2012-01-01 00:00:00', note: '', entitlement_type: 1, deleted: 1}
  5: {id: 6, leave_type_id: 1, emp_number: 7, no_of_days: 5, days_used: 2, from_date: '2013-01-01 00:00:00', to_date: '2013-12-31 00:00:00', credited_date: '2013-01-01 00:00:00', note: '', entitlement_type: 2, deleted: 0}  
  
LeaveRequest:
  0: {id: 1, leave_type_id: 1, date_applied: '2010-08-30', emp_number: 1, comments: 'my comment1'}
  1: {id: 2, leave_type_id: 1, date_applied: '2010-08-02', emp_number: 1, comments: 'my comment2'}
  2: {id: 3, leave_type_id: 2, date_applied: '2010-08-03', emp_number: 1, comments: 'my comment3'}
  3: {id: 4, leave_type_id: 8, date_applied: '2010-08-02', emp_number: 6, comments: 'my comment4'}
  4: {id: 5, leave_type_id: 1, date_applied: '2013-08-02', emp_number: 7, comments: 'my comment5'}
  5: {id: 6, leave_type_id: 1, date_applied: '2012-08-02', emp_number: 7, comments: 'my comment6'}
  6: {id: 7, leave_type_id: 1, date_applied: '2014-01-02', emp_number: 7, comments: 'my comment7'}
  7: {id: 8, leave_type_id: 1, date_applied: '2013-03-02', emp_number: 7, comments: 'my comment7'}
  
Leave:
  0: {id: 1, length_hours: 8, length_days: 1, leave_request_id: 1, leave_type_id: 1, emp_number: 1, date: '2010-09-01', status: 1}
  1: {id: 2, length_hours: 8, length_days: 1, leave_request_id: 1, leave_type_id: 1, emp_number: 1, date: '2010-09-02', status: 1}
  2: {id: 3, length_hours: 8, length_days: 1, leave_request_id: 2, leave_type_id: 1, emp_number: 1, date: '2010-09-06', status: '-1'}
  3: {id: 4, length_hours: 8, length_days: 1, leave_request_id: 2, leave_type_id: 1, emp_number: 1, date: '2010-09-07', status: '-1'}
  4: {id: 5, length_hours: 4, length_days: '0.5', leave_request_id: 3, leave_type_id: 2, emp_number: 1, date: '2010-09-09', status: '-1'}
  5: {id: 6, length_hours: 8, length_days: 1, leave_request_id: 4, leave_type_id: 8, emp_number: 6, date: '2010-08-02', status: 1}
  6: {id: 7, length_hours: 8, length_days: 1, leave_request_id: 4, leave_type_id: 8, emp_number: 1, date: '2012-05-02', status: 2}
  7: {id: 8, length_hours: 8, length_days: 1, leave_request_id: 5, leave_type_id: 1, emp_number: 7, date: '2013-08-13', status: 2}
  8: {id: 9, length_hours: 8, length_days: 1, leave_request_id: 5, leave_type_id: 1, emp_number: 7, date: '2013-08-14', status: 2}
  9: {id: 10, length_hours: 8, length_days: 1, leave_request_id: 6, leave_type_id: 1, emp_number: 7, date: '2012-08-21', status: 2}
  10: {id: 11, length_hours: 8, length_days: 1, leave_request_id: 7, leave_type_id: 1, emp_number: 7, date: '2014-01-03', status: 2}
  11: {id: 12, length_hours: 8, length_days: 1, leave_request_id: 7, leave_type_id: 1, emp_number: 7, date: '2014-01-04', status: 2}
  12: {id: 13, length_hours: 8, length_days: 1, leave_request_id: 8, leave_type_id: 1, emp_number: 7, date: '2013-03-05', status: 2}
  
LeaveLeaveEntitlement:
  0: {id: 1, leave_id: 1, entitlement_id: 1, length_days: 0.5}
  1: {id: 2, leave_id: 1, entitlement_id: 2, length_days: 0.5}
  2: {id: 3, leave_id: 2, entitlement_id: 5, length_days: 1}
  3: {id: 4, leave_id: 3, entitlement_id: 5, length_days: 1}
  4: {id: 5, leave_id: 4, entitlement_id: 5, length_days: 1}
  5: {id: 6, leave_id: 5, entitlement_id: 1, length_days: 1}
  6: {id: 7, leave_id: 7, entitlement_id: 1, length_days: 0.75}
  7: {id: 8, leave_id: 8, entitlement_id: 6, length_days: 1}
  8: {id: 9, leave_id: 9, entitlement_id: 6, length_days: 1}
  
  
